All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.dataselectors.calculateditems
Class BusinessQueryToCalculatedItemListAdapter

    com.sas.dataselectors.calculateditems.BusinessQueryToCalculatedItemListAdapter

All Implemented Interfaces:
  CalculatedItemListInterface, CalculatedItemListV2Interface, CalculatedItemMetadataInterface

    public class BusinessQueryToCalculatedItemListAdapter

Description: Copyright: Copyright (c) 2002 Company: SAS

Nested Class Summary

Nested classes/interfaces inherited from class com.sas.dataselectors.calculateditems.BaseCalculatedItemListAdapter
`BaseCalculatedItemListAdapter.InnerListOfCalculatedItems`

Field Summary

Fields inherited from class com.sas.dataselectors.calculateditems.BaseCalculatedItemListAdapter
`_calculatedItemList, _description, _name, _objectFactory, _selectionIndex, RB_KEY`

Constructor Summary
`BusinessQueryToCalculatedItemListAdapter(com.sas.iquery.metadata.business.BusinessQuery businessQuery)` Constructs an adapter with the specified BusinessQuery.
`BusinessQueryToCalculatedItemListAdapter(com.sas.iquery.intelligentquery.BusinessQueryProviderInterface businessQueryProvider)` Constructs an adapter with the specified BusinessQuery.
`BusinessQueryToCalculatedItemListAdapter(com.sas.iquery.intelligentquery.BusinessQueryProviderInterface businessQueryProvider, java.util.Locale locale)`

Method Summary
`FormatAdapterInterface` | `getFormatAdapter()` returns the format adapter
`int` | `getMaxLengthOfItemName()` returns the maximum length of the name of a calculated item
`com.sas.iquery.metadata.business.DataItem` | `getTimeDataItem()`
`java.lang.Object` | `getTimeHierarchy()`
`boolean` | `isTimeDimensionPresent()` Returns if a time dimension is present in the query

Methods inherited from class com.sas.dataselectors.calculateditems.BaseCalculatedItemListAdapter
`addCalculatedItem, canRemoveAllCalculatedItems, clearSelectionCursor, commitChanges, getBusinessDataSourceTree, getCalculatedItemList, getDataSourceTree, getDescription, getFunctionListTree, getLevelHasMembers, getLevelNameMap, getLevelNames, getLocale, getMaxOutputObservations, getMeasureNameMap, getMeasureNames, getMemberNames, getName, getOperationList, getPhysicalDataSourceTree, getPromptDataSourceTree, getSelectedCalculatedItem, getSelectionCount, getSelectionCursor, isCalculatedItemSelected, newCalculatedItem, newCalculatedItem, removeAllCalculatedItems, removeSelectedCalculatedItem, setDescription, setLocale, setMaxOutputObservations, setName, setSelectionCursor, updateSelectedCalculatedItem`

Constructor Detail

### BusinessQueryToCalculatedItemListAdapter

    public BusinessQueryToCalculatedItemListAdapter(com.sas.iquery.intelligentquery.BusinessQueryProviderInterface businessQueryProvider)

  Constructs an adapter with the specified BusinessQuery.

  Parameters:
    `businessQuery` - is a business query to which the calculated item is to be associated.

### BusinessQueryToCalculatedItemListAdapter

    public BusinessQueryToCalculatedItemListAdapter(com.sas.iquery.intelligentquery.BusinessQueryProviderInterface businessQueryProvider,
                                                    java.util.Locale locale)

### BusinessQueryToCalculatedItemListAdapter

    public BusinessQueryToCalculatedItemListAdapter(com.sas.iquery.metadata.business.BusinessQuery businessQuery)

  Constructs an adapter with the specified BusinessQuery.

  Parameters:
    `businessQuery` - is a business query to which the calculated item is to be associated.

Method Detail

### getFormatAdapter

    public FormatAdapterInterface getFormatAdapter()

  Description copied from interface: `CalculatedItemListInterface`
  returns the format adapter

  Specified by:
    `getFormatAdapter` in interface `CalculatedItemListInterface`
  Overrides:
    `getFormatAdapter` in class `BaseCalculatedItemListAdapter`

### getMaxLengthOfItemName

    public int getMaxLengthOfItemName()

  Description copied from interface: `CalculatedItemListInterface`
  returns the maximum length of the name of a calculated item

  Specified by:
    `getMaxLengthOfItemName` in interface `CalculatedItemListInterface`
  Overrides:
    `getMaxLengthOfItemName` in class `BaseCalculatedItemListAdapter`

### getTimeDataItem

    public com.sas.iquery.metadata.business.DataItem getTimeDataItem()

### isTimeDimensionPresent

    public boolean isTimeDimensionPresent()

  Description copied from interface: `CalculatedItemListV2Interface`
  Returns if a time dimension is present in the query

  Specified by:
    `isTimeDimensionPresent` in interface `CalculatedItemListV2Interface`
  Overrides:
    `isTimeDimensionPresent` in class `BaseCalculatedItemListAdapter`
  Returns:
    true if time dimension calculations can be performed

### getTimeHierarchy

    public java.lang.Object getTimeHierarchy()

  Specified by:
    `getTimeHierarchy` in interface `CalculatedItemListV2Interface`
  Overrides:
    `getTimeHierarchy` in class `BaseCalculatedItemListAdapter`

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.